Number::Phone::NANP::BS(3pm)

NAME
Number::Phone::NANP::BS - BS-specific methods for Number::Phone

DESCRIPTION
This class implements BS-specific methods for Number::Phone. It is a subclass of Number::Phone::NANP, which is in turn a subclass of Number::Phone. Number::Phone::NANP sits in the middle because all NANP countries can share some significant chunks of code. You should never need to "use" this module directly, as "Number::Phone::NANP" will load it automatically when needed.

SYNOPSIS
    use Number::Phone::NANP;

    my $phone_number = Number::Phone->new('+1 242 302 7000');
    # returns a Number::Phone::NANP::BS object

METHODS
The following methods from Number::Phone are overridden:

regulator
    Returns information about the national telecomms regulator.

BUGS/FEEDBACK
Please report bugs at <https://github.com/DrHyde/perl-modules-Number-Phone/issues>, including, if possible, a test case.

I welcome feedback from users.

LICENCE
You may use, modify and distribute this software under the same terms as perl itself.

AUTHOR
David Cantrell <david@cantrell.org.uk>

Copyright 2026